//
//  SettingsVM.swift
//  DouShouQi_App
//
//  Created by Rémi REGNAULT on 30/05/2024.
//

import Foundation
import SwiftUI

public enum Language: String, Identifiable {
        
    case french, english, spanish
    
    public var id: String {
        return self.rawValue
    }
    
    public var litteral: String {
        switch self {
            case .french:
                return "Français"
            case .english:
                return "English"
            case .spanish:
                return "Español"
        }
    }
    
    static var list: [Language] {
        return [.french, .english, .spanish]
    }
}

class SettingsVM: ObservableObject {
    // Properties
    @Published var darkTheme: Bool = false
    @Published var language: Language = Language.english
    @Published var soundOn: Bool = true
    
    init() {}
}
